<?php

namespace Faker\Lithuania;

use Faker\Extension\Extension;

class PhoneNumber extends \Faker\Provider\PhoneNumber implements Extension
{
    protected static $formats = [
        '8425#####',
        '8315#####',
        '8381#####',
        '8319#####',
        '8450#####',
        '8313#####',
        '8528#####',
        '8386#####',
        '8349#####',
        '8426#####',
        '8447#####',
        '8346#####',
        '837######',
        '8427#####',
        '8347#####',
        '846######',
        '8445#####',
        '8459#####',
        '8318#####',
        '8343#####',
        '8443#####',
        '8383#####',
        '8469#####',
        '8421#####',
        '8460#####',
        '845######',
        '8451#####',
        '8448#####',
        '8319#####',
        '8422#####',
        '8428#####',
        '8458#####',
        '8440#####',
        '8345#####',
        '8380#####',
        '841######',
        '8449#####',
        '8441#####',
        '8382#####',
        '8387#####',
        '8446#####',
        '8444#####',
        '8528#####',
        '8340#####',
        '8389#####',
        '8310#####',
        '8342#####',
        '85#######',
        '8386#####',
        '8385#####',
        '+3704#######',
        '+3706#######',
    ];

    protected static $mobileFormats = [
        '+3706#######',
    ];

    /**
     * @example '+37061235246'
     *
     * @return string
     */
    public function mobilePhoneNumber()
    {
        return static::numerify($this->generator->parse(static::randomElement(static::$mobileFormats)));
    }
}
